from utils import read, write, config, format_date, parse_date, where
import json
from datetime import datetime
from datas.datum.enums import DatumType


@read
def _select(*args, **kwargs):
    return f'''select rbd_id as id, rbd_datas as datas from robo_base_datum {where(*args, **kwargs)}'''


def get_base_datums(type: DatumType = None, crncy=None, risk=None):
    result = _select(v_rbd_type=type, v_rbd_crncy=crncy, v_rbd_risk=risk)
    result = [{**json.loads(x['datas']), **{'id': x['id']}} for x in result]
    return [{**x, **{'inceptDate': parse_date(x['inceptDate'])}} for x in result]


if __name__ == '__main__':
    from enums import Enum
    print(isinstance(DatumType.FUND, Enum))
